{% extends "@Paa/Default/pageEntityFormGrille.html.twig" %}

{% block datatable_title %}
    <p id="SemaineActu" style="display: none"></p>
    <th id="iidActivite" style="display: none">Id</th>
    <th id="iactibase">Activité de base</th>
    <th id="groupes">Groupes</th>
    <th id="intervenants">Intervenants</th>
    <th id="mremarque">Remarques</th>
    <th id="mlstseances">Seances</th>
{% endblock %}

{% block datatable_body %}
    {% set iRow = 0 %}
    
    {% for row in poListeEntités %}
{#        {%if row.mlstseances|length > 0 %}#}
{#        {% if row.isemaine is same as(3483) %}#}
{#{{dump(row.isemaine)}}#}
            <tr>
                <td id="row_{{ iRow|raw }}_iidActivite" style="display: none" name="{{ row.iidActivite }}"> {{ row.iidActivite|trim }} </td>
                <td id="row_{{ iRow|raw }}_iactibase">  {#l'Id est iactibase et pas cactibase pour être cohérent avec les données du form, ce qui permet la mise à jour automatique de la ligne du datatable lors de l'enregistrement#}
                    {{row.cactibase}}
                </td>
                <td id="row_{{ iRow|raw }}_groupes">  {#l'Id est groupes et pas mgroupes pour être cohérent avec les données du form, ce qui permet la mise à jour automatique de la ligne du datatable lors de l'enregistrement#}
                    {{row.mgroupes}}
                </td>
                <td id="row_{{ iRow|raw }}_intervenants">  {#l'Id est intervenants et pas mintervenants pour être cohérent avec les données du form, ce qui permet la mise à jour automatique de la ligne du datatable lors de l'enregistrement#}
                    {{row.mintervenants}}
                </td>
                <td id="row_{{ iRow|raw }}_mremarque">
                    {{row.mremarque}}
                </td>
                <td id="row_{{ iRow|raw }}_mlstseances">
                    {{row.mlstseances}}
                </td>
            </tr>
            
{#        {% endif %}#}
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}

{#LG 20200508 début#}
{% block scriptsEnFinDeBody %}
    {{ parent() }}
    <script>
        $(document).ready(activitesTrad_DocumentReady);
        function activitesTrad_DocumentReady() {
            window.entityFormGrille.oDataTable.traduitValeurChamp = function(psIdColonne, pvValeurColonne) {
                if (psIdColonne === "iactibase") {
                    // Il faut prendre le texte de l'option de la combo des activités de base
                    var lsValeurColonne = $("#fEntityForm_activites_iactibase option:selected").text() ;
                    return lsValeurColonne ;
                } else if (psIdColonne === "groupes") {
                    var lsValeurColonne = $("#fEntityForm_activites_groupes option:selected").text() ;
                    return lsValeurColonne ;
                } else if (psIdColonne === "intervenants") {
                    var lsValeurColonne = $("#fEntityForm_activites_intervenants option:selected").text() ;
                    return lsValeurColonne ;
                }
                return pvValeurColonne ;
            };
        }
    </script>
{% endblock %}
{#LG 20200508 fin#}
